japa.parser.ast.type

## Enum PrimitiveType.Primitive

- java.lang.Object
- - java.lang.Enum<PrimitiveType.Primitive>
  - - japa.parser.ast.type.PrimitiveType.Primitive

All Implemented Interfaces:
  Serializable, Comparable<PrimitiveType.Primitive>

Enclosing class:
  PrimitiveType

    public static enum PrimitiveType.Primitive
    extends Enum<PrimitiveType.Primitive>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Boolean`
`Byte`
`Char`
`Double`
`Float`
`Int`
`Long`
`Short`

### Method Summary

Methods
`static PrimitiveType.Primitive` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PrimitiveType.Primitive[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Boolean

    public static final PrimitiveType.Primitive Boolean

#### Char

    public static final PrimitiveType.Primitive Char

#### Byte

    public static final PrimitiveType.Primitive Byte

#### Short

    public static final PrimitiveType.Primitive Short

#### Int

    public static final PrimitiveType.Primitive Int

#### Long

    public static final PrimitiveType.Primitive Long

#### Float

    public static final PrimitiveType.Primitive Float

#### Double

    public static final PrimitiveType.Primitive Double

### Method Detail

#### values

    public static PrimitiveType.Primitive[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PrimitiveType.Primitive c : PrimitiveType.Primitive.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PrimitiveType.Primitive valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null